# Serialized Form

## Package org.jgroups

### Class org.jgroups.ChannelClosedException extends ChannelException implements Serializable

serialVersionUID:
  -5172168752255182905L

### Class org.jgroups.ChannelException extends java.lang.Exception implements Serializable

serialVersionUID:
  6041194633384856098L

### Class org.jgroups.ChannelNotConnectedException extends ChannelException implements Serializable

serialVersionUID:
  -6701630538465783064L

### Class org.jgroups.MergeView extends View implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.StateTransferException extends ChannelException implements Serializable

serialVersionUID:
  -4070956583392020498L

### Class org.jgroups.SuspectedException extends java.lang.Exception implements Serializable

serialVersionUID:
  -6663279911010545655L

### Serialized Fields

#### suspect

    java.lang.Object suspect

### Class org.jgroups.TimeoutException extends java.lang.Exception implements Serializable

serialVersionUID:
  -3555655828017487825L

### Class org.jgroups.View extends java.lang.Object implements Serializable

serialVersionUID:
  7027860705519930293L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.ViewId extends java.lang.Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

## Package org.jgroups.auth

### Class org.jgroups.auth.AuthToken extends java.lang.Object implements Serializable

### Serialized Fields

#### log

    Log log

### Class org.jgroups.auth.FixedMembershipToken extends AuthToken implements Serializable

serialVersionUID:
  4717069536900221681L

### Serialized Fields

#### memberList

    java.util.List<E> memberList

#### token

    java.lang.String token

#### fixed_members_seperator

    java.lang.String fixed_members_seperator

### Class org.jgroups.auth.MD5Token extends AuthToken implements Serializable

serialVersionUID:
  -5787154335375249191L

### Serialized Fields

#### auth_value

    java.lang.String auth_value

#### hash_type

    java.lang.String hash_type

### Class org.jgroups.auth.RegexMembership extends AuthToken implements Serializable

serialVersionUID:
  4717069536900221681L

### Serialized Fields

#### match_string

    java.lang.String match_string

#### match_ip_address

    boolean match_ip_address

#### match_logical_name

    boolean match_logical_name

#### pattern

    java.util.regex.Pattern pattern

### Class org.jgroups.auth.SimpleToken extends AuthToken implements Serializable

serialVersionUID:
  5020668015439045326L

### Serialized Fields

#### auth_value

    java.lang.String auth_value

### Class org.jgroups.auth.X509Token extends AuthToken implements Serializable

serialVersionUID:
  -514501306160844271L

### Serialized Fields

#### valueSet

    boolean valueSet

#### keystore_type

    java.lang.String keystore_type

#### cert_alias

    java.lang.String cert_alias

#### keystore_path

    java.lang.String keystore_path

#### auth_value

    java.lang.String auth_value

#### cipher_type

    java.lang.String cipher_type

#### encryptedToken

    byte[] encryptedToken

#### cert_password

    char[] cert_password

#### keystore_password

    char[] keystore_password

#### cipher

    javax.crypto.Cipher cipher

#### certPrivateKey

    java.security.PrivateKey certPrivateKey

#### certificate

    java.security.cert.X509Certificate certificate

## Package org.jgroups.blocks

### Class org.jgroups.blocks.Cache.Value extends java.lang.Object implements Serializable

serialVersionUID:
  -3445944261826378608L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.blocks.DistributedLockManager.AcquireLockDecree extends DistributedLockManager.LockDecree implements Serializable

### Serialized Fields

#### creationTime

    long creationTime

### Class org.jgroups.blocks.DistributedLockManager.LockDecree extends java.lang.Object implements Serializable

serialVersionUID:
  7264104838035219212L

### Serialized Fields

#### lockId

    java.lang.Object lockId

#### requester

    java.lang.Object requester

#### managerId

    java.lang.Object managerId

#### commited

    boolean commited

#### multipleLocked

    boolean multipleLocked

### Class org.jgroups.blocks.DistributedLockManager.MultiLockDecree extends DistributedLockManager.LockDecree implements Serializable

### Class org.jgroups.blocks.DistributedLockManager.ReleaseLockDecree extends DistributedLockManager.LockDecree implements Serializable

### Class org.jgroups.blocks.GridFile extends java.io.File implements Serializable

serialVersionUID:
  -6729548421029004260L

### Serialized Fields

#### cache

    ReplCache<K,V> cache

#### fs

    GridFilesystem fs

#### name

    java.lang.String name

#### chunk_size

    int chunk_size

### Class org.jgroups.blocks.LockingException extends java.lang.Exception implements Serializable

serialVersionUID:
  -712594616520011007L

### Serialized Fields

#### failed_lockers

    java.util.Map<K,V> failed_lockers

### Class org.jgroups.blocks.LockMultiLockedException extends java.lang.Exception implements Serializable

serialVersionUID:
  3719208228960070835L

### Class org.jgroups.blocks.LockNotGrantedException extends java.lang.Exception implements Serializable

serialVersionUID:
  4074824788210185433L

### Class org.jgroups.blocks.LockNotReleasedException extends java.lang.Exception implements Serializable

serialVersionUID:
  -350403929687059570L

### Class org.jgroups.blocks.MethodCall extends java.lang.Object implements Serializable

serialVersionUID:
  7873471327078957662L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.blocks.ReplCache.Value extends java.lang.Object implements Serializable

serialVersionUID:
  -2892941069742740027L

### Serialized Fields

#### val

    java.lang.Object val

#### replication_count

    short replication_count

### Class org.jgroups.blocks.ReplicatedTree.Node extends java.lang.Object implements Serializable

serialVersionUID:
  -3077676554440038890L

### Serialized Fields

#### name

    java.lang.String name

#### fqn

    java.lang.String fqn

#### parent

    ReplicatedTree.Node parent

#### children

    java.util.TreeMap<K,V> children

#### data

    java.util.Map<K,V> data

### Class org.jgroups.blocks.TwoPhaseVotingAdapter.TwoPhaseWrapper extends java.lang.Object implements Serializable

### Serialized Fields

#### decree

    java.lang.Object decree

#### type

    int type

### Class org.jgroups.blocks.UpdateException extends java.lang.Exception implements Serializable

serialVersionUID:
  -4196360091623991749L

### Class org.jgroups.blocks.VoteException extends ChannelException implements Serializable

serialVersionUID:
  -878345689312038489L

### Class org.jgroups.blocks.VotingAdapter.FailureVoteResult extends VotingAdapter.VoteResult implements Serializable

### Serialized Fields

#### reason

    java.lang.String reason

### Class org.jgroups.blocks.VotingAdapter.VoteResult extends java.lang.Object implements Serializable

serialVersionUID:
  2868605599965196746L

### Serialized Fields

#### positiveVotes

    int positiveVotes

#### negativeVotes

    int negativeVotes

## Package org.jgroups.blocks.executor

### Class org.jgroups.blocks.executor.ExecutionService.DistributedFuture.Sync extends java.util.concurrent.locks.AbstractQueuedSynchronizer implements Serializable

serialVersionUID:
  -7828117401763700385L

### Serialized Fields

#### future

    ExecutionService.DistributedFuture<V> future

The containing future

#### callable

    java.util.concurrent.Callable<V> callable

The underlying callable

#### result

    java.lang.Object result

The result to return from get()

#### exception

    java.lang.Throwable exception

The exception to throw from get()

## Package org.jgroups.blocks.mux

### Class org.jgroups.blocks.mux.NoMuxHandler extends java.lang.Object implements Serializable

serialVersionUID:
  -694135384125080323L

### Serialized Fields

#### id

    short id

## Package org.jgroups.demos

### Class org.jgroups.demos.DistributedQueueDemo extends java.awt.Frame implements Serializable

### Serialized Fields

#### h

    DistributedQueue h

#### add

    javax.swing.JButton add

#### quit

    javax.swing.JButton quit

#### get_all

    javax.swing.JButton get_all

#### remove

    javax.swing.JButton remove

#### value

    javax.swing.JLabel value

#### err_msg

    javax.swing.JLabel err_msg

#### value_field

    javax.swing.JTextField value_field

#### listbox

    java.awt.List listbox

#### default_font

    java.awt.Font default_font

### Class org.jgroups.demos.DistributedTreeDemo extends java.awt.Frame implements Serializable

### Serialized Fields

#### tree_model

    javax.swing.tree.DefaultTreeModel tree_model

#### jtree

    javax.swing.JTree jtree

#### table_model

    javax.swing.table.DefaultTableModel table_model

#### table

    javax.swing.JTable table

#### scroll_pane

    javax.swing.JScrollPane scroll_pane

#### root

    org.jgroups.demos.MyNode root

#### dt

    DistributedTree dt

#### props

    java.lang.String props

#### selected_node

    java.lang.String selected_node

#### create

    boolean create

### Class org.jgroups.demos.QuoteClient extends java.awt.Frame implements Serializable

### Serialized Fields

#### disp

    RpcDispatcher disp

#### channel

    Channel channel

#### get

    java.awt.Button get

#### set

    java.awt.Button set

#### quit

    java.awt.Button quit

#### get_all

    java.awt.Button get_all

#### stock

    java.awt.Label stock

#### value

    java.awt.Label value

#### err_msg

    java.awt.Label err_msg

#### stock_field

    java.awt.TextField stock_field

#### value_field

    java.awt.TextField value_field

#### listbox

    java.awt.List listbox

#### default_font

    java.awt.Font default_font

#### props

    java.lang.String props

### Class org.jgroups.demos.ReplCacheDemo extends javax.swing.JPanel implements Serializable

### Serialized Fields

#### cache

    ReplCache<K,V> cache

#### frame

    javax.swing.JFrame frame

#### root_pane

    javax.swing.JTabbedPane root_pane

#### table

    javax.swing.JTable table

#### key_field

    javax.swing.JTextField key_field

#### value_field

    javax.swing.JTextField value_field

#### repl_count_field

    javax.swing.JTextField repl_count_field

#### timeout_field

    javax.swing.JTextField timeout_field

#### perf_key_prefix

    javax.swing.JTextField perf_key_prefix

#### perf_num_keys

    javax.swing.JTextField perf_num_keys

#### perf_size

    javax.swing.JTextField perf_size

#### perf_repl_count_field

    javax.swing.JTextField perf_repl_count_field

#### perf_timeout_field

    javax.swing.JTextField perf_timeout_field

#### status

    javax.swing.JTextArea status

#### num_elements

    javax.swing.JLabel num_elements

#### model

    org.jgroups.demos.ReplCacheDemo.MyTableModel<K,V> model

### Class org.jgroups.demos.ReplicatedHashMapDemo extends java.awt.Frame implements Serializable

### Serialized Fields

#### map

    ReplicatedHashMap<K extends java.io.Serializable,V extends java.io.Serializable> map

#### get

    javax.swing.JButton get

#### set

    javax.swing.JButton set

#### quit

    javax.swing.JButton quit

#### get_all

    javax.swing.JButton get_all

#### delete

    javax.swing.JButton delete

#### stock

    javax.swing.JLabel stock

#### value

    javax.swing.JLabel value

#### err_msg

    javax.swing.JLabel err_msg

#### stock_field

    javax.swing.JTextField stock_field

#### value_field

    javax.swing.JTextField value_field

#### listbox

    java.awt.List listbox

#### default_font

    java.awt.Font default_font

### Class org.jgroups.demos.Topology extends java.awt.Frame implements Serializable

### Serialized Fields

#### members

    java.util.Vector<E> members

#### myFont

    java.awt.Font myFont

#### fm

    java.awt.FontMetrics fm

#### node_color

    java.awt.Color node_color

#### coordinator

    boolean coordinator

#### channel

    Channel channel

#### my_addr

    java.lang.Object my_addr

### Class org.jgroups.demos.TotalOrder extends java.awt.Frame implements Serializable

### Serialized Fields

#### def_font

    java.awt.Font def_font

#### def_font2

    java.awt.Font def_font2

#### canvas

    org.jgroups.demos.MyCanvas canvas

#### menubar

    java.awt.MenuBar menubar

#### start

    java.awt.Button start

#### stop

    java.awt.Button stop

#### clear

    java.awt.Button clear

#### get_state

    java.awt.Button get_state

#### quit

    java.awt.Button quit

#### button_panel

    java.awt.Panel button_panel

#### sender

    org.jgroups.demos.TotalOrder.SenderThread sender

#### receiver

    org.jgroups.demos.TotalOrder.ReceiverThread receiver

#### channel

    Channel channel

#### error_dlg

    java.awt.Dialog error_dlg

#### timeout

    long timeout

#### field_size

    int field_size

#### num_fields

    int num_fields

#### num

    int num

#### num_additions

    int num_additions

#### num_subtractions

    int num_subtractions

#### num_divisions

    int num_divisions

#### num_multiplications

    int num_multiplications

### Class org.jgroups.demos.TotalTokenDemo extends javax.swing.JFrame implements Serializable

### Serialized Fields

#### channel

    JChannel channel

#### tabbedPane

    javax.swing.JTabbedPane tabbedPane

#### receiverThread

    org.jgroups.demos.TotalTokenDemo.ReceiverThread receiverThread

#### colorPanel

    org.jgroups.demos.TotalTokenDemo.ColorPanel colorPanel

#### control

    org.jgroups.demos.TotalTokenDemo.ControlPanel control

#### mSize

    int mSize

#### transmitting

    boolean transmitting

#### channelProperties

    java.lang.String channelProperties

#### preffered

    java.awt.Dimension preffered

### Class org.jgroups.demos.TotalTokenDemo.TotalPayload extends java.lang.Object implements Serializable

### Serialized Fields

#### seqRandom

    int seqRandom

## Package org.jgroups.demos.applets

### Class org.jgroups.demos.applets.DrawApplet extends java.applet.Applet implements Serializable

### Serialized Fields

#### graphics

    java.awt.Graphics graphics

#### panel

    java.awt.Panel panel

#### sub_panel

    java.awt.Panel sub_panel

#### out

    java.io.ByteArrayOutputStream out

#### outstream

    java.io.DataOutputStream outstream

#### instream

    java.io.DataInputStream instream

#### random

    java.util.Random random

#### clear_button

    java.awt.Button clear_button

#### leave_button

    java.awt.Button leave_button

#### mbr_label

    java.awt.Label mbr_label

#### default_font

    java.awt.Font default_font

#### groupname

    java.lang.String groupname

#### channel

    Channel channel

#### receiver

    java.lang.Thread receiver

#### member_size

    int member_size

#### red

    int red

#### green

    int green

#### blue

    int blue

#### default_color

    java.awt.Color default_color

#### factory

    ChannelFactory factory

#### props

    java.lang.String props

#### members

    java.util.Vector<E> members

#### fl

    boolean fl

#### log

    Log log

## Package org.jgroups.demos.wb

### Class org.jgroups.demos.wb.GraphPanel extends java.awt.Panel implements Serializable

### Serialized Fields

#### wb

    Whiteboard wb

#### nodes

    java.util.Vector<E> nodes

#### copy

    java.util.Vector<E> copy

#### myname

    java.lang.String myname

#### my_addr

    java.lang.Object my_addr

#### pick

    Node pick

#### pickfixed

    boolean pickfixed

#### offscreen

    java.awt.Image offscreen

#### offscreensize

    java.awt.Dimension offscreensize

#### offgraphics

    java.awt.Graphics offgraphics

#### nodeColor

    java.awt.Color nodeColor

#### default_font

    java.awt.Font default_font

#### log

    Log log

### Class org.jgroups.demos.wb.MessageDialog extends java.awt.Dialog implements Serializable

### Serialized Fields

#### text

    java.awt.TextArea text

#### default_font

    java.awt.Font default_font

### Class org.jgroups.demos.wb.Node extends java.lang.Object implements Serializable

### Serialized Fields

#### x

    double x

#### y

    double y

#### dx

    double dx

#### dy

    double dy

#### fixed

    boolean fixed

#### lbl

    java.lang.String lbl

#### addr

    Address addr

#### xloc

    int xloc

#### yloc

    int yloc

#### width

    int width

#### height

    int height

### Class org.jgroups.demos.wb.SendDialog extends java.awt.Dialog implements Serializable

### Serialized Fields

#### msg

    java.awt.TextArea msg

#### default_font

    java.awt.Font default_font

#### disp

    RpcDispatcher disp

#### dest

    Node dest

#### sender

    java.lang.String sender

### Class org.jgroups.demos.wb.UserInfoDialog extends java.awt.Dialog implements Serializable

### Serialized Fields

#### ok

    java.awt.Button ok

#### l

    java.awt.Label l

#### name

    java.awt.TextField name

#### default_font

    java.awt.Font default_font

### Class org.jgroups.demos.wb.Whiteboard extends java.applet.Applet implements Serializable

### Serialized Fields

#### disp

    RpcDispatcher disp

#### channel

    Channel channel

#### panel

    GraphPanel panel

#### leave_button

    java.awt.Button leave_button

#### mbr_label

    java.awt.Label mbr_label

#### default_font

    java.awt.Font default_font

#### props

    java.lang.String props

#### application

    boolean application

#### log

    Log log

## Package org.jgroups.mux

### Class org.jgroups.mux.ServiceInfo extends java.lang.Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

## Package org.jgroups.persistence

### Class org.jgroups.persistence.CannotConnectException extends java.lang.Exception implements Serializable

serialVersionUID:
  7472528586067210747L

### Serialized Fields

#### t

    java.lang.Throwable t

members are made available so that the top level user can dump appropriate members on to his stack trace

#### reason

    java.lang.String reason

### Class org.jgroups.persistence.CannotCreateSchemaException extends java.lang.Exception implements Serializable

serialVersionUID:
  291582260022140141L

### Serialized Fields

#### t

    java.lang.Throwable t

members are made available so that the top level user can dump appropriate members on to his stack trace

#### reason

    java.lang.String reason

### Class org.jgroups.persistence.CannotPersistException extends java.lang.Exception implements Serializable

serialVersionUID:
  -5157400778265186170L

### Serialized Fields

#### t

    java.lang.Throwable t

members are made available so that the top level user can dump appropriate members on to his stack trace

#### reason

    java.lang.String reason

### Class org.jgroups.persistence.CannotRemoveException extends java.lang.Exception implements Serializable

serialVersionUID:
  -5777024088921236116L

### Serialized Fields

#### t

    java.lang.Throwable t

members are made available so that the top level user can dump appropriate members on to his stack trace

#### reason

    java.lang.String reason

### Class org.jgroups.persistence.CannotRetrieveException extends java.lang.Exception implements Serializable

serialVersionUID:
  -2523227229540681597L

### Serialized Fields

#### t

    java.lang.Throwable t

members are made available so that the top level user can dump appropriate members on to his stack trace

#### reason

    java.lang.String reason

## Package org.jgroups.protocols

### Class org.jgroups.protocols.TransportedVectorTime extends java.lang.Object implements Serializable

serialVersionUID:
  5857647322589533545L

### Serialized Fields

#### senderPosition

    int senderPosition

index of the sender

#### values

    int[] values

values represented as an array

## Package org.jgroups.protocols.pbcast

### Class org.jgroups.protocols.pbcast.JoinRsp extends java.lang.Object implements Serializable

serialVersionUID:
  -212620440767943314L

### Serialized Fields

#### view

    View view

#### digest

    Digest digest

#### fail_reason

    java.lang.String fail_reason

only set if JOIN failed, e.g. in AUTH

### Class org.jgroups.protocols.pbcast.MergeData extends java.lang.Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

## Package org.jgroups.stack

### Class org.jgroups.stack.IpAddress extends java.lang.Object implements Serializable

serialVersionUID:
  2592301708270771474L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

## Package org.jgroups.util

### Class org.jgroups.util.AdditionalDataUUID extends UUID implements Serializable

serialVersionUID:
  -8299077012964139735L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.BoundedList extends java.util.concurrent.ConcurrentLinkedQueue<T> implements Serializable

### Serialized Fields

#### max_capacity

    int max_capacity

### Class org.jgroups.util.ConcurrentLinkedBlockingQueue extends java.util.concurrent.ConcurrentLinkedQueue<T> implements Serializable

serialVersionUID:
  -8884995454506956809L

### Serialized Fields

#### capacity

    int capacity

#### lock

    java.util.concurrent.locks.Lock lock

#### not_empty

    java.util.concurrent.locks.Condition not_empty

#### waiting_takers

    java.util.concurrent.atomic.AtomicInteger waiting_takers

### Class org.jgroups.util.Digest extends java.lang.Object implements Serializable

serialVersionUID:
  6611464897656359215L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.Digest.Entry extends java.lang.Object implements Serializable

serialVersionUID:
  -4468945932249281704L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.MutableDigest extends Digest implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.PayloadUUID extends UUID implements Serializable

serialVersionUID:
  -7042544908572216601L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.QueueClosedException extends java.lang.Exception implements Serializable

serialVersionUID:
  -7575787375592873964L

### Class org.jgroups.util.Range extends java.lang.Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.SingletonAddress extends java.lang.Object implements Serializable

serialVersionUID:
  -7139682546627602986L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.TopologyUUID extends UUID implements Serializable

serialVersionUID:
  6057688946243812544L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class org.jgroups.util.UnmodifiableVector extends java.util.Vector implements Serializable

### Serialized Fields

#### v

    java.util.Vector<E> v

### Class org.jgroups.util.UUID extends java.lang.Object implements Serializable

serialVersionUID:
  3972962439975931228L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`